﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
 EXEC P_ALTERPK 'PK_EPA_SCHEME', 'T_EPA_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_SCHEME_NUM') CREATE INDEX IDX_EPA_SCHEME_NUM ON T_EPA_SCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_SCHEME_L', 'T_EPA_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_SCHEME_L') CREATE INDEX IDX_EPA_SCHEME_L ON T_EPA_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_SCHEMEORG', 'T_EPA_SCHEMEORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_SCHEMEORG') CREATE INDEX IDX_EPA_SCHEMEORG ON T_EPA_SCHEMEORG ( FID );


 EXEC P_ALTERPK 'PK_EPA_OBJECTSCOPE', 'T_EPA_OBJECTSCOPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJECTSCOPE_NAME') CREATE INDEX IDX_EPA_OBJECTSCOPE_NAME ON T_EPA_OBJECTSCOPE ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJECTSCOPE_SCHEME') CREATE INDEX IDX_EPA_OBJECTSCOPE_SCHEME ON T_EPA_OBJECTSCOPE ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSGROUP', 'T_EPA_ASSESSGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSGROUP_NAME') CREATE INDEX IDX_EPA_ASSESSGROUP_NAME ON T_EPA_ASSESSGROUP ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSGROUP_SCHEME') CREATE INDEX IDX_EPA_ASSESSGROUP_SCHEME ON T_EPA_ASSESSGROUP ( FSCOPEID );


 EXEC P_ALTERPK 'PK_EPA_OBJECTSCOPE_L', 'T_EPA_OBJECTSCOPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJECTSCOPE_L') CREATE INDEX IDX_EPA_OBJECTSCOPE_L ON T_EPA_OBJECTSCOPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSGROUP_L', 'T_EPA_ASSESSGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSGROUP_L') CREATE INDEX IDX_EPA_ASSESSGROUP_L ON T_EPA_ASSESSGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_EXECUTESCHEME', 'T_EPA_EXECUTESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_EXECUTESCHEME_SCH') CREATE INDEX IDX_EPA_EXECUTESCHEME_SCH ON T_EPA_EXECUTESCHEME ( FSCHEMEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_EXECUTESCHEME_NAME') CREATE INDEX IDX_EPA_EXECUTESCHEME_NAME ON T_EPA_EXECUTESCHEME ( FNAME );


 EXEC P_ALTERPK 'PK_EPA_EXECUTESCHEME_L', 'T_EPA_EXECUTESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_EXECUTESCHEME_L') CREATE INDEX IDX_EPA_EXECUTESCHEME_L ON T_EPA_EXECUTESCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITY', 'T_EPA_ACTIVITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITY_NAME') CREATE INDEX IDX_EPA_ACTIVITY_NAME ON T_EPA_ACTIVITY ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITY_SCHEME') CREATE INDEX IDX_EPA_ACTIVITY_SCHEME ON T_EPA_ACTIVITY ( FEXECUTESCHEMEID );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITYTIME', 'T_EPA_ACTIVITYTIME', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITYTIME') CREATE INDEX IDX_EPA_ACTIVITYTIME ON T_EPA_ACTIVITYTIME ( FID );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITYASSGROUP', 'T_EPA_ACTIVITYASSGROUP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITYASSGROUP') CREATE INDEX IDX_EPA_ACTIVITYASSGROUP ON T_EPA_ACTIVITYASSGROUP ( FID );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITY_L', 'T_EPA_ACTIVITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITY_L') CREATE INDEX IDX_EPA_ACTIVITY_L ON T_EPA_ACTIVITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_GENAREAINDREQ', 'T_EPA_GENAREAINDREQ', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENAREAINDREQ') CREATE INDEX IDX_EPA_GENAREAINDREQ ON T_EPA_GENAREAINDREQ ( FID );


 EXEC P_ALTERPK 'PK_EPA_GENAREAINSTANCE', 'T_EPA_GENAREAINSTANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENAREAINSTANCE') CREATE INDEX IDX_EPA_GENAREAINSTANCE ON T_EPA_GENAREAINSTANCE ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_ASSTABLECONF', 'T_EPA_ASSTABLECONF', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSTABLECONF') CREATE INDEX IDX_EPA_ASSTABLECONF ON T_EPA_ASSTABLECONF ( FENTRYID );


 EXEC P_ALTERPK 'PK_EPA_GENAREAINDICATOR', 'T_EPA_GENAREAINDICATOR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENAREAINDICATOR') CREATE INDEX IDX_EPA_GENAREAINDICATOR ON T_EPA_GENAREAINDICATOR ( FID );


 EXEC P_ALTERPK 'PK_EPA_GENAREAINDICATOR_L', 'T_EPA_GENAREAINDICATOR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENAREAINDICATOR_L') CREATE INDEX IDX_EPA_GENAREAINDICATOR_L ON T_EPA_GENAREAINDICATOR_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ADDSUBAREAINS', 'T_EPA_ADDSUBAREAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBAREAINS') CREATE INDEX IDX_EPA_ADDSUBAREAINS ON T_EPA_ADDSUBAREAINS ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_ADDSUBAREAIND', 'T_EPA_ADDSUBAREAIND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBAREAIND') CREATE INDEX IDX_EPA_ADDSUBAREAIND ON T_EPA_ADDSUBAREAIND ( FID );


 EXEC P_ALTERPK 'PK_EPA_ADDSUBAREAIND_L', 'T_EPA_ADDSUBAREAIND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBAREAIND_L') CREATE INDEX IDX_EPA_ADDSUBAREAIND_L ON T_EPA_ADDSUBAREAIND_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHAREAINS', 'T_EPA_ATTACHAREAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ATTACHAREAINS') CREATE INDEX IDX_EPA_ATTACHAREAINS ON T_EPA_ATTACHAREAINS ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHAREAIND', 'T_EPA_ATTACHAREAIND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ATTACHAREAIND') CREATE INDEX IDX_EPA_ATTACHAREAIND ON T_EPA_ATTACHAREAIND ( FID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHAREAIND_L', 'T_EPA_ATTACHAREAIND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ATTACHAREAIND_L') CREATE INDEX IDX_EPA_ATTACHAREAIND_L ON T_EPA_ATTACHAREAIND_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_SCHEMERULES', 'T_EPA_SCHEMERULES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_SCHEMERULES') CREATE INDEX IDX_EPA_SCHEMERULES ON T_EPA_SCHEMERULES ( FID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSOBJECT', 'T_EPA_ASSESSOBJECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSOBJECT_SCH') CREATE INDEX IDX_EPA_ASSESSOBJECT_SCH ON T_EPA_ASSESSOBJECT ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_EPA_GROUPASSPROCESS', 'T_EPA_GROUPASSPROCESS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GROUPASSPROCESS') CREATE INDEX IDX_EPA_GROUPASSPROCESS ON T_EPA_GROUPASSPROCESS ( FENTRYID );



/**End D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
