﻿/**Begin D:\tools\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
 EXEC P_ALTERPK 'PK_EPA_PERFRESULT', 'T_EPA_PERFRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PERFRESULT' AND KSQL_INDNAME = 'IDX_EPA_PERFRESULT_NUM') CREATE INDEX IDX_EPA_PERFRESULT_NUM ON T_EPA_PERFRESULT ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_PERFRESULT_L', 'T_EPA_PERFRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PERFRESULT_L' AND KSQL_INDNAME = 'IDX_EPA_PERFRESULT_L') CREATE INDEX IDX_EPA_PERFRESULT_L ON T_EPA_PERFRESULT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OVERALLRESULT', 'T_EPA_OVERALLRESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_OVERALLRESULT' AND KSQL_INDNAME = 'IDX_EPA_OVERALLRESULT') CREATE INDEX IDX_EPA_OVERALLRESULT ON T_EPA_OVERALLRESULT ( FID );


 EXEC P_ALTERPK 'PK_EPA_OVERALLRESULT_L', 'T_EPA_OVERALLRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_OVERALLRESULT_L' AND KSQL_INDNAME = 'IDX_EPA_OVERALLRESULT_L') CREATE INDEX IDX_EPA_OVERALLRESULT_L ON T_EPA_OVERALLRESULT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_LEVELRESULT', 'T_EPA_LEVELRESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_LEVELRESULT' AND KSQL_INDNAME = 'IDX_EPA_LEVELRESULT') CREATE INDEX IDX_EPA_LEVELRESULT ON T_EPA_LEVELRESULT ( FID );


 EXEC P_ALTERPK 'PK_EPA_LEVELRESULT_L', 'T_EPA_LEVELRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_LEVELRESULT_L' AND KSQL_INDNAME = 'IDX_EPA_LEVELRESULT_L') CREATE INDEX IDX_EPA_LEVELRESULT_L ON T_EPA_LEVELRESULT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_RANKRESULT', 'T_EPA_RANKRESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_RANKRESULT' AND KSQL_INDNAME = 'IDX_EPA_RANKRESULT') CREATE INDEX IDX_EPA_RANKRESULT ON T_EPA_RANKRESULT ( FID );


 EXEC P_ALTERPK 'PK_EPA_RANKRESULT_L', 'T_EPA_RANKRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_RANKRESULT_L' AND KSQL_INDNAME = 'IDX_EPA_RANKRESULT_L') CREATE INDEX IDX_EPA_RANKRESULT_L ON T_EPA_RANKRESULT_L ( FENTRYID ,FLOCALEID );



/**End D:\tools\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
