﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
 EXEC P_ALTERPK 'PK_EPA_AREAPAGEREG', 'T_EPA_AREAPAGEREG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_AREAPAGEREG') CREATE INDEX IDX_EPA_AREAPAGEREG ON T_EPA_AREAPAGEREG ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_AREAPAGEREG_L', 'T_EPA_AREAPAGEREG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_AREAPAGEREG_L') CREATE INDEX IDX_EPA_AREAPAGEREG_L ON T_EPA_AREAPAGEREG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_AREAFIELDREG', 'T_EPA_AREAFIELDREG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_AREAFIELDREG') CREATE INDEX IDX_EPA_AREAFIELDREG ON T_EPA_AREAFIELDREG ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_AREAFIELDREG_L', 'T_EPA_AREAFIELDREG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_AREAFIELDREG_L') CREATE INDEX IDX_EPA_AREAFIELDREG_L ON T_EPA_AREAFIELDREG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSFORM', 'T_EPA_ASSESSFORM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ASSESSFORM' AND KSQL_INDNAME = 'IDX_EPA_ASSESSFORM_NUMBER') CREATE INDEX IDX_EPA_ASSESSFORM_NUMBER ON T_EPA_ASSESSFORM ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_ASSESSFORM_L', 'T_EPA_ASSESSFORM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ASSESSFORM_L' AND KSQL_INDNAME = 'IDX_EPA_ASSESSFORM_L') CREATE INDEX IDX_EPA_ASSESSFORM_L ON T_EPA_ASSESSFORM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_AREACONFENTRY', 'T_EPA_AREACONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_AREACONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_AREACONFENTRY') CREATE INDEX IDX_EPA_AREACONFENTRY ON T_EPA_AREACONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_CUSTOMAREACONF', 'T_EPA_CUSTOMAREACONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMAREACONF' AND KSQL_INDNAME = 'IDX_EPA_CUSTOMAREACONF') CREATE INDEX IDX_EPA_CUSTOMAREACONF ON T_EPA_CUSTOMAREACONF ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_CUSTOMAREACONF_L', 'T_EPA_CUSTOMAREACONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMAREACONF_L' AND KSQL_INDNAME = 'IDX_EPA_CUSTOMAREACONF_L') CREATE INDEX IDX_EPA_CUSTOMAREACONF_L ON T_EPA_CUSTOMAREACONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_CUSTOMCONFENTRY', 'T_EPA_CUSTOMCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMCONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_CUSTOMCONFENTRY') CREATE INDEX IDX_EPA_CUSTOMCONFENTRY ON T_EPA_CUSTOMCONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_CUSTOMCONFENTRY_L', 'T_EPA_CUSTOMCONFENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMCONFENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_CUSTOMCONFENTRY_L') CREATE INDEX IDX_EPA_CUSTOMCONFENTRY_L ON T_EPA_CUSTOMCONFENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_NORMALCONF', 'T_EPA_NORMALCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_NORMALCONF' AND KSQL_INDNAME = 'IDX_EPA_NORMALCONF') CREATE INDEX IDX_EPA_NORMALCONF ON T_EPA_NORMALCONF ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_NORCONFENTRY', 'T_EPA_NORCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_NORCONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_NORCONFENTRY') CREATE INDEX IDX_EPA_NORCONFENTRY ON T_EPA_NORCONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_NORMALCONF_L', 'T_EPA_NORMALCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_NORMALCONF_L' AND KSQL_INDNAME = 'IDX_EPA_NORMALCONF_L') CREATE INDEX IDX_EPA_NORMALCONF_L ON T_EPA_NORMALCONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_NORCONFENTRY_L', 'T_EPA_NORCONFENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_NORCONFENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_NORCONFENTRY_L') CREATE INDEX IDX_EPA_NORCONFENTRY_L ON T_EPA_NORCONFENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_PLUSMNSCONF', 'T_EPA_PLUSMNSCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONF' AND KSQL_INDNAME = 'IDX_EPA_PLUSMNSCONF') CREATE INDEX IDX_EPA_PLUSMNSCONF ON T_EPA_PLUSMNSCONF ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_PLUSMNSCONFENTRY', 'T_EPA_PLUSMNSCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_PLUSMNSCONFENTRY') CREATE INDEX IDX_EPA_PLUSMNSCONFENTRY ON T_EPA_PLUSMNSCONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_PLUSMNSCONF_L', 'T_EPA_PLUSMNSCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONF_L' AND KSQL_INDNAME = 'IDX_EPA_PLUSMNSCONF_L') CREATE INDEX IDX_EPA_PLUSMNSCONF_L ON T_EPA_PLUSMNSCONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_PLUSMNSCONFENTRY_L', 'T_EPA_PLUSMNSCONFENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONFENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_PLUSMNSCONFENTRY_L') CREATE INDEX IDX_EPA_PLUSMNSCONFENTRY_L ON T_EPA_PLUSMNSCONFENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHCONF', 'T_EPA_ATTACHCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONF' AND KSQL_INDNAME = 'IDX_EPA_ATTACHCONF') CREATE INDEX IDX_EPA_ATTACHCONF ON T_EPA_ATTACHCONF ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHCONFENTRY', 'T_EPA_ATTACHCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_ATTACHCONFENTRY') CREATE INDEX IDX_EPA_ATTACHCONFENTRY ON T_EPA_ATTACHCONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHCONF_L', 'T_EPA_ATTACHCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONF_L' AND KSQL_INDNAME = 'IDX_EPA_ATTACHCONF_L') CREATE INDEX IDX_EPA_ATTACHCONF_L ON T_EPA_ATTACHCONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ATTACHCONFENTRY_L', 'T_EPA_ATTACHCONFENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONFENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_ATTACHCONFENTRY_L') CREATE INDEX IDX_EPA_ATTACHCONFENTRY_L ON T_EPA_ATTACHCONFENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_SUMCONF', 'T_EPA_SUMCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SUMCONF' AND KSQL_INDNAME = 'IDX_EPA_SUMCONF') CREATE INDEX IDX_EPA_SUMCONF ON T_EPA_SUMCONF ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_SUMCONFENTRY', 'T_EPA_SUMCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SUMCONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_SUMCONFENTRY') CREATE INDEX IDX_EPA_SUMCONFENTRY ON T_EPA_SUMCONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_SUMCONF_L', 'T_EPA_SUMCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SUMCONF_L' AND KSQL_INDNAME = 'IDX_EPA_SUMCONF_L') CREATE INDEX IDX_EPA_SUMCONF_L ON T_EPA_SUMCONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_SUMCONFENTRY_L', 'T_EPA_SUMCONFENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SUMCONFENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_SUMCONFENTRY_L') CREATE INDEX IDX_EPA_SUMCONFENTRY_L ON T_EPA_SUMCONFENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_EMPINFOCONF', 'T_EPA_EMPINFOCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_EMPINFOCONF' AND KSQL_INDNAME = 'IDX_EPA_EMPINFOCONF') CREATE INDEX IDX_EPA_EMPINFOCONF ON T_EPA_EMPINFOCONF ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_EMPINFOCONFENTRY', 'T_EPA_EMPINFOCONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_EMPINFOCONFENTRY' AND KSQL_INDNAME = 'IDX_EPA_EMPINFOCONFENTRY') CREATE INDEX IDX_EPA_EMPINFOCONFENTRY ON T_EPA_EMPINFOCONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_EMPINFOCONF_L', 'T_EPA_EMPINFOCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_EMPINFOCONF_L' AND KSQL_INDNAME = 'IDX_EPA_EMPINFOCONF_L') CREATE INDEX IDX_EPA_EMPINFOCONF_L ON T_EPA_EMPINFOCONF_L ( FID ,FLOCALEID );


/**End D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
