﻿/**Begin D:\sky\code\cosmic_git_branch\pdm\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
 EXEC P_ALTERPK 'PK_EPA_PROCESSPERMSETTING', 'T_EPA_PROCESSPERMSETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PROCESSPERMSETTING' AND KSQL_INDNAME = 'IDX_EPA_PROCESSPERMSETTING') CREATE INDEX IDX_EPA_PROCESSPERMSETTING ON T_EPA_PROCESSPERMSETTING ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_ASSESSNODEENTRY', 'T_EPA_ASSESSNODEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_ASSESSNODEENTRY' AND KSQL_INDNAME = 'IDX_EPA_ASSESSNODEENTRY') CREATE INDEX IDX_EPA_ASSESSNODEENTRY ON T_EPA_ASSESSNODEENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_WORKFLOWENTRY', 'T_EPA_WORKFLOWENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_WORKFLOWENTRY' AND KSQL_INDNAME = 'IDX_EPA_WORKFLOWENTRY') CREATE INDEX IDX_EPA_WORKFLOWENTRY ON T_EPA_WORKFLOWENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_FLOWDEFNODEENTRY', 'T_EPA_FLOWDEFNODEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_FLOWDEFNODEENTRY' AND KSQL_INDNAME = 'IDX_EPA_FLOWDEFNODEENTRY') CREATE INDEX IDX_EPA_FLOWDEFNODEENTRY ON T_EPA_FLOWDEFNODEENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_CONTENTAREAENTRY', 'T_EPA_CONTENTAREAENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CONTENTAREAENTRY' AND KSQL_INDNAME = 'IDX_EPA_CONTENTAREAENTRY') CREATE INDEX IDX_EPA_CONTENTAREAENTRY ON T_EPA_CONTENTAREAENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_CONTENTFIELDENTRY', 'T_EPA_CONTENTFIELDENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CONTENTFIELDENTRY' AND KSQL_INDNAME = 'IDX_EPA_CONTENTFIELDENTRY') CREATE INDEX IDX_EPA_CONTENTFIELDENTRY ON T_EPA_CONTENTFIELDENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_EPA_SCOPEAREAENTRY', 'T_EPA_SCOPEAREAENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SCOPEAREAENTRY' AND KSQL_INDNAME = 'IDX_EPA_SCOPEAREAENTRY') CREATE INDEX IDX_EPA_SCOPEAREAENTRY ON T_EPA_SCOPEAREAENTRY ( FID );


 EXEC P_ALTERPK 'PK_EPA_PROCESSPERMSETTING_L', 'T_EPA_PROCESSPERMSETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_PROCESSPERMSETTING_L' AND KSQL_INDNAME = 'IDX_EPA_PROCESSPERMSETTING_L') CREATE INDEX IDX_EPA_PROCESSPERMSETTING_L ON T_EPA_PROCESSPERMSETTING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_SCORESHOWAREA', 'T_EPA_SCORESHOWAREA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SCORESHOWAREA' AND KSQL_INDNAME = 'IDX_EPA_SCORESHOWAREA') CREATE INDEX IDX_EPA_SCORESHOWAREA ON T_EPA_SCORESHOWAREA ( FSCORECONTENTID ,FASSESSNODEID );


 EXEC P_ALTERPK 'PK_EPA_SCORECONTENT', 'T_EPA_SCORECONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SCORECONTENT' AND KSQL_INDNAME = 'IDX_EPA_SCORECONTENT') CREATE INDEX IDX_EPA_SCORECONTENT ON T_EPA_SCORECONTENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_EPA_SCORECONTENT_L', 'T_EPA_SCORECONTENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SCORECONTENT_L' AND KSQL_INDNAME = 'IDX_EPA_SCORECONTENT_L') CREATE INDEX IDX_EPA_SCORECONTENT_L ON T_EPA_SCORECONTENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_SCORESHOWAREA_L', 'T_EPA_SCORESHOWAREA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_SCORESHOWAREA_L' AND KSQL_INDNAME = 'IDX_EPA_SCORESHOWAREA_L') CREATE INDEX IDX_EPA_SCORESHOWAREA_L ON T_EPA_SCORESHOWAREA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_CONTENTAREAENTRY_L', 'T_EPA_CONTENTAREAENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CONTENTAREAENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_CONTENTAREAENTRY_L') CREATE INDEX IDX_EPA_CONTENTAREAENTRY_L ON T_EPA_CONTENTAREAENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_CONTENTFIELDENTRY_L', 'T_EPA_CONTENTFIELDENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EPA_CONTENTFIELDENTRY_L' AND KSQL_INDNAME = 'IDX_EPA_CONTENTFIELDENTRY_L') CREATE INDEX IDX_EPA_CONTENTFIELDENTRY_L ON T_EPA_CONTENTFIELDENTRY_L ( FDETAILID ,FLOCALEID );



/**End D:\sky\code\cosmic_git_branch\pdm\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
