﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
 EXEC P_ALTERPK 'PK_EPA_ASSESSACTIVITY', 'T_EPA_ASSESSACTIVITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSACTIVITY_NO') CREATE INDEX IDX_EPA_ASSESSACTIVITY_NO ON T_EPA_ASSESSACTIVITY ( FBILLNO );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITYINSTANCE', 'T_EPA_ACTIVITYINSTANCE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITYINSTANCE_P') CREATE INDEX IDX_EPA_ACTIVITYINSTANCE_P ON T_EPA_ACTIVITYINSTANCE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITYINSTANCE_LN') CREATE INDEX IDX_EPA_ACTIVITYINSTANCE_LN ON T_EPA_ACTIVITYINSTANCE ( FLONGNUMBER );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITYINSTANCEE', 'T_EPA_ACTIVITYINSTANCEE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITYINSTANCEE_M') CREATE INDEX IDX_EPA_ACTIVITYINSTANCEE_M ON T_EPA_ACTIVITYINSTANCEE ( FENTRYID );


 EXEC P_ALTERPK 'PK_EPA_ACTIVITYINSTANCE_L', 'T_EPA_ACTIVITYINSTANCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTIVITYINSTANCE_L') CREATE INDEX IDX_EPA_ACTIVITYINSTANCE_L ON T_EPA_ACTIVITYINSTANCE_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSACTIVITY_L', 'T_EPA_ASSESSACTIVITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSACTIVITY_L') CREATE INDEX IDX_EPA_ASSESSACTIVITY_L ON T_EPA_ASSESSACTIVITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSRULE_A', 'T_EPA_ASSESSRULE_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSRULE_A') CREATE INDEX IDX_EPA_ASSESSRULE_A ON T_EPA_ASSESSRULE_A ( FTIMEPERIOD );


 EXEC P_ALTERPK 'PK_EPA_ASSESSRULESETTING', 'T_EPA_ASSESSRULESETTING', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSRULESETTING') CREATE INDEX IDX_EPA_ASSESSRULESETTING ON T_EPA_ASSESSRULESETTING ( FID );


 EXEC P_ALTERPK 'PK_EPA_ASSESSRULESETTING_L', 'T_EPA_ASSESSRULESETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ASSESSRULESETTING_L') CREATE INDEX IDX_EPA_ASSESSRULESETTING_L ON T_EPA_ASSESSRULESETTING_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_BUSIEVENTRELTPL', 'T_EPA_BUSIEVENTRELTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBS_BUSIEVENTRELTPL') CREATE INDEX IDX_PBS_BUSIEVENTRELTPL ON T_EPA_BUSIEVENTRELTPL ( FSOURCEENTITY ,FBOID ,FEVENTID );


 EXEC P_ALTERPK 'PK_EPA_EVENTTPL', 'T_EPA_EVENTTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_EVENTTPL') CREATE INDEX IDX_EPA_EVENTTPL ON T_EPA_EVENTTPL ( FEVENTBATCHTYPE );


 EXEC P_ALTERPK 'PK_EPA_EVENTRELHISTPL', 'T_EPA_EVENTRELHISTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_EVENTRELHISTPL') CREATE INDEX IDX_EPA_EVENTRELHISTPL ON T_EPA_EVENTRELHISTPL ( FBUSIEVENTID );



/**End D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
