﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSACTIVITY') 
 CREATE TABLE T_EPA_ASSESSACTIVITY (
FID BIGINT DEFAULT 0 NOT NULL,
FCYCLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCYCLEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITYINSTANCE') 
 CREATE TABLE T_EPA_ACTIVITYINSTANCE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FYEAR DATETIME,
FTIMEMARK NVARCHAR(60) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FPPERIODSTART DATETIME,
FPPERIODEND DATETIME,
FEPERIODSTART DATETIME,
FEPERIODEND DATETIME,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITYINSTANCEE') 
 CREATE TABLE T_EPA_ACTIVITYINSTANCEE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPASSESSNODEID BIGINT DEFAULT 0 NOT NULL,
FPERIODSTART DATETIME,
FPERIODEND DATETIME,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITYINSTANCE_L') 
 CREATE TABLE T_EPA_ACTIVITYINSTANCE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTIMEMARK NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSACTIVITY_L') 
 CREATE TABLE T_EPA_ASSESSACTIVITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSRULE_A') 
 CREATE TABLE T_EPA_ASSESSRULE_A (
FID BIGINT DEFAULT 0 NOT NULL,
FTARGETMODEL VARCHAR(2) DEFAULT ' ' NOT NULL,
FTARGETPERSION VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSTAFFEDIT CHAR(1) DEFAULT '0' NOT NULL,
FISAUDIT CHAR(1) DEFAULT '0' NOT NULL,
FAUDITPERSON VARCHAR(2) DEFAULT ' ' NOT NULL,
FISAUDITPERSONEDIT CHAR(1) DEFAULT '0' NOT NULL,
FSTIFFCONFORM CHAR(1) DEFAULT '0' NOT NULL,
FTARGETPERSIONNULL VARCHAR(2) DEFAULT ' ' NOT NULL,
FCALIBRATIONPERSON VARCHAR(2) DEFAULT ' ' NOT NULL,
FISMODIFYLEVEL CHAR(1) DEFAULT '0' NOT NULL,
FISMODIFYTOTAL CHAR(1) DEFAULT '0' NOT NULL,
FISAPPEAL CHAR(1) DEFAULT '0' NOT NULL,
FTIMEPERIOD INT DEFAULT 0 NOT NULL,
FAPPEALPERSION VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPEALPERSIONNULL VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSRULESETTING') 
 CREATE TABLE T_EPA_ASSESSRULESETTING (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNODENUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FNODENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSHOW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSRULESETTING_L') 
 CREATE TABLE T_EPA_ASSESSRULESETTING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_BUSIEVENTRELTPL') 
 CREATE TABLE T_EPA_BUSIEVENTRELTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSOURCEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISBUSINESSEVENTBO CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME,
FEVENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EVENTTPL') 
 CREATE TABLE T_EPA_EVENTTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FEVENTTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXECUTEWAY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVENTBATCHTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EVENTRELHISTPL') 
 CREATE TABLE T_EPA_EVENTRELHISTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FPRESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPREBSED DATETIME,
FPREBSLED DATETIME,
FBUSIEVENTID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
