﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_ACTEVALOBJ' AND KSQL_COL_NAME ='FEVALFINISHTYPE') 
 ALTER TABLE T_EPA_ACTEVALOBJ ADD (FEVALFINISHTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJSETSCORERECORD') 
 CREATE TABLE T_EPA_OBJSETSCORERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCHANGETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLEVEL VARCHAR(2) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACTEVALOBJID BIGINT DEFAULT 0 NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FPERFORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJSETSCORERECORD_L') 
 CREATE TABLE T_EPA_OBJSETSCORERECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
